export declare const skillsApiSlice: import("@reduxjs/toolkit/query").Api<import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, {
    getReportedSkills: import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>;
    getSkillsPointsPercentile: import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>;
    getDesiredSkills: import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>;
    getUserEarnedSkills: import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>;
}, "skillsApiSlice", "skills", typeof import("@reduxjs/toolkit/query").coreModuleName | typeof import("@reduxjs/toolkit/dist/query/react").reactHooksModuleName>;
export declare const useGetReportedSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: [{
    org: string;
}] | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>>;
}, useLazyGetReportedSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").ReportedSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: [{
    org: string;
}], preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").ReportedSkill, "skillsApiSlice", any>>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: [{
        org: string;
    }];
}], useGetSkillsPointsPercentileQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: [{
    org: string;
}] | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>>;
}, useLazyGetSkillsPointsPercentileQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkillPointsPercentile | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: [{
    org: string;
}], preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkillPointsPercentile, "skillsApiSlice", any>>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: [{
        org: string;
    }];
}], useGetDesiredSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: [{
    org: string;
}] | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>>;
}, useLazyGetDesiredSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").DesiredSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: [{
    org: string;
}], preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").DesiredSkill, "skillsApiSlice", any>>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: [{
        org: string;
    }];
}], useGetUserEarnedSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: [{
    org: string;
}] | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>>;
}, useLazyGetUserEarnedSkillsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
    currentData?: import("@iblai/iblai-api").UserSkill | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<[{
        org: string;
    }], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
        attempt?: number;
    } & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>> & {
        currentData?: import("@iblai/iblai-api").UserSkill | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: [{
    org: string;
}], preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<[{
    org: string;
}], import("@reduxjs/toolkit/query").BaseQueryFn<void, unknown, unknown, {
    attempt?: number;
} & import("@reduxjs/toolkit/query").RetryOptions, {}>, "skills", import("@iblai/iblai-api").UserSkill, "skillsApiSlice", any>>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: [{
        org: string;
    }];
}];
